#!/bin/bash

_VERSION=3.12.11
tar -xf src/nss-${_VERSION}.tar.xz &&
cd nss-${_VERSION} &&
export BUILD_OPT=1 &&
export NSS_USE_SYSTEM_SQLITE=1 &&
export NSPR_INCLUDE_DIR=/usr/include/nspr &&
export USE_SYSTEM_ZLIB=1 &&
export ZLIB_LIBS=-lz &&
export USE_64=1 &&
patch -Np1 -i ../src/nss-${_VERSION}-standalone-1.patch &&
make -C mozilla/security/nss nss_build_all &&
export NSS_LINUXDIR=$(basename `ls -d $PWD/mozilla/dist/Linux*`) &&
cd mozilla/dist &&
install -v -m755 $NSS_LINUXDIR/lib/*.so /usr/lib &&
install -v -m644 $NSS_LINUXDIR/lib/{*.chk,libcrmf.a} /usr/lib &&
install -v -m755 -d /usr/include/nss &&
install -v -m755 $NSS_LINUXDIR/bin/{certutil,nss-config,pk12util} /usr/bin &&
install -v -m644 $NSS_LINUXDIR/lib/pkgconfig/nss.pc /usr/lib/pkgconfig &&
cp -v -RL {public,private}/nss/* /usr/include/nss &&
chmod 644 /usr/include/nss/* &&
cd ../../.. &&
rm -rf nss-${_VERSION}
