#!/bin/bash

OPENSSL_VERSION=1.0.0d
tar -xf src/openssl-${OPENSSL_VERSION}.tar.xz &&
cd openssl-${OPENSSL_VERSION} &&
patch -Np1 -i ../src/openssl-${OPENSSL_VERSION}-fix_manpages-1.patch &&
tar -vxf ../src/BLFS-ca-bundle-3.12.9.0.tar.xz &&
./config --openssldir=/etc/ssl --prefix=/usr shared zlib-dynamic &&
make &&
make MANDIR=/usr/share/man install &&
cp -v -r certs /etc/ssl &&
install -v -d -m755 /usr/share/doc/openssl-${OPENSSL_VERSION} &&
cp -v -r doc/{HOWTO,README,*.{txt,html,gif}} /usr/share/doc/openssl-${OPENSSL_VERSION} &&
for pem in /etc/ssl/certs/*.pem
do
   cat $pem
   echo ""
done > /etc/ssl/ca-bundle.crt &&
cd .. &&
rm -rf openssl-${OPENSSL_VERSION}
