#!/bin/bash

_VERSION=1.19
tar -xf src/libidn-${_VERSION}.tar.xz &&
cd libidn-${_VERSION} &&
./configure --prefix=/usr &&
make &&
make install &&
find doc -name "Makefile*" -exec rm {} \; &&
install -v -m755 -d \
    /usr/share/doc/libidn-${_VERSION}/{api,java,specifications,tld} &&
install -v -m644 doc/components* \
                 doc/libidn.{pdf,ps,html} \
    /usr/share/doc/libidn-${_VERSION} &&
install -v -m644 doc/reference/html/* \
    /usr/share/doc/libidn-${_VERSION}/api &&
install -v -m644 doc/specifications/* \
    /usr/share/doc/libidn-${_VERSION}/specifications &&
install -v -m644 doc/tld/* /usr/share/doc/libidn-${_VERSION}/tld &&
cp -v -R doc/java/* /usr/share/doc/libidn-${_VERSION}/java &&
cd .. &&
rm -rf libidn-${_VERSION}
