#!/bin/bash

PCRE_VERSION=8.10
tar -xf src/pcre-${PCRE_VERSION}.tar.xz &&
cd pcre-${PCRE_VERSION} &&
CC="gcc -m32" CXX="g++ -m32" PKG_CONFIG_PATH=/usr/lib/32/pkgconfig \
./configure --prefix=/usr \
  --docdir=/usr/share/doc/pcre-${_VERSION} \
  --enable-utf8 --enable-unicode-properties \
  --libdir=/usr/lib/32 \
  --disable-static &&
make &&
make install &&
mv -v /usr/lib/32/libpcre.so.* /lib/32 &&
ln -v -sf ../../../lib/32/libpcre.so.0 /usr/lib/32/libpcre.so &&
cd .. &&
rm -rf pcre-${PCRE_VERSION}
