#!/bin/bash

FREETYPE_VERSION=2.4.4
tar -xf src/freetype-${FREETYPE_VERSION}.tar.xz &&
cd freetype-${FREETYPE_VERSION} &&
tar -xf ../src/freetype-doc-${FREETYPE_VERSION}.tar.xz --strip-components=2 -C docs &&
sed -i -r 's:.*(#.*SUBPIXEL.*) .*:\1:' \
          include/freetype/config/ftoption.h &&
./configure --prefix=/usr --disable-static &&
make -j6 &&
make install &&
install -v -m 755 -d /usr/share/doc/freetype-${FREETYPE_VERSION} &&
cp -v -R docs/* /usr/share/doc/freetype-${FREETYPE_VERSION} &&
cd .. &&
rm -rf freetype-${FREETYPE_VERSION}
