#!/bin/bash

FREETYPE_VERSION=2.4.4
tar -xf src/freetype-${FREETYPE_VERSION}.tar.xz &&
cd freetype-${FREETYPE_VERSION} &&
tar -xf ../src/freetype-doc-${FREETYPE_VERSION}.tar.xz --strip-components=2 -C docs &&
sed -i -r 's:.*(#.*SUBPIXEL.*) .*:\1:' \
          include/freetype/config/ftoption.h &&
CC="gcc -m32" \
./configure --prefix=/usr --libdir=/usr/lib/32 --disable-static &&
make -j6 &&
make install &&
install -d -m755 /usr/lib/32/bin &&
cp /usr/bin/freetype-config /usr/lib/32/bin &&
cd .. &&
rm -rf freetype-${FREETYPE_VERSION}
