#!/bin/bash

DBUS_VERSION=1.2.24
grep messagebus /etc/group || groupadd -g 18 messagebus
grep messagebus /etc/passwd || useradd -c "D-BUS Message Daemon User" -d /dev/null \
        -u 18 -g messagebus -s /bin/false messagebus

tar -xf src/dbus-${DBUS_VERSION}.tar.xz &&
cd dbus-${DBUS_VERSION} &&
./configure --prefix=/usr \
            --sysconfdir=/etc \
            --libexecdir=/usr/lib/dbus-1.0 \
            --localstatedir=/var \
            --disable-static &&
make &&
make install &&
install -v -m755 -d /usr/share/doc/dbus-${DBUS_VERSION} &&
install -v -m644 doc/{TODO,*.{dtd,xml,xsl,txt,c}} \
    /usr/share/doc/dbus-${DBUS_VERSION} &&
cd .. &&
make -C /usr/src/blfs-bootscripts install-dbus &&
rm -rf dbus-${DBUS_VERSION}
