#!/bin/bash

_VERSION=0.6.4
tar -xf src/strigi-${_VERSION}.tar.xz &&
cd strigi-${_VERSION} &&
sed -i "s;#include \"jsgzipcompressstream.h\";#include <stdio.h>\n&;" \
           src/luceneindexer/jsgzipcompressstream.cpp &&
sed -i "s;#include \"sqliteindexmanager.h\";#include <stdio.h>\n&;" \
           src/sqliteindexer/sqliteindexmanager.cpp &&
sed -i "s;#include <cerrno>;#include <stdio.h>\n&;" \
           src/daemon/eventlistener/famlistener.cpp &&
sed -i "s;#include <stdlib.h>;&\n#include <stdio.h>;" \
           src/daemon/strigithread.cpp &&
mkdir build && cd build &&
cmake -DCMAKE_INSTALL_PREFIX=/usr \
          -DENABLE_EXPAT=ON \
          -DENABLE_FAM=ON \
          -DENABLE_SQLITE=OFF .. &&
make &&
make install &&
cd ../.. &&
rm -rf strigi-${_VERSION}
