#!/bin/bash

J2SDK_BVERSION=6u3
J2SDK_VERSION=6u3

tar -xjf src/jdk/jdk-${J2SDK_BVERSION}-bin.tar.bz2 &&
ln -v -sf xawt/libmawt.so \
    jdk-${J2SDK_BVERSION}/jre/lib/i386/ &&
sed -i 's@XINERAMA@FAKEEXTN@g' \
    jdk-${J2SDK_BVERSION}/jre/lib/i386/xawt/libmawt.so &&

export JAVA_HOME=`pwd`/jdk-${J2SDK_BVERSION} &&
export PATH=${JAVA_HOME}/bin:${PATH} &&

tar -xjf src/jdk/jdk-${J2SDK_VERSION}-src.tar.bz2 &&
cd jdk-${J2SDK_VERSION}-src &&
patch -Np1 -i ../src/jdk/jdk-${J2SDK_VERSION}-gcc4-1.patch &&
patch -Np1 -i ../src/jdk/jdk-${J2SDK_VERSION}-motif_fixes-1.patch &&
patch -Np1 -i ../src/jdk/jdk-${J2SDK_VERSION}-remove_fixed_paths-1.patch &&
sed -i '/^.*linux)/ { N; /.*/ { N; /.*/d }}' \
    deploy/make/plugin/{adapter,nscore}/Makefile &&
sed -i '/.*mtrace.*/ { N; /.*/ s/.*mtrace.*\n.*/\t  mtrace/ }' \
    j2se/make/mkdemo/jvmti/Makefile &&
sed -i 's/= true/= false/' \
    j2se/make/common/shared/Compiler-gcc.gmk &&
echo find . -type f -exec sed -i 's@/usr/X11R6@/usr@g' {} \; &&
export ALT_BOOTDIR=${JAVA_HOME} &&
export CLASSPATH_HOLD=${CLASSPATH} &&
export ALT_CACERTS_FILE=${ALT_BOOTDIR}/jre/lib/security/cacerts &&
export ALT_MOZILLA_HEADERS_PATH=${PWD}/share/plugin &&
export MILESTONE="03-BLFS" &&
export BUILD_NUMBER="b05" &&
export INSANE=true &&
export DEV_ONLY=true &&
export SKIP_FASTDEBUG_BUILD=true &&
unset JAVA_HOME CLASSPATH CFLAGS CXXFLAGS LDFLAGS &&
export HOTSPOT_BUILD_JOBS=3 &&
 

make -C control/make &&
cd control/build/linux-i?86 &&

mkdir -p /opt/jdk &&
cp -v -a j2sdk-image /opt/jdk/${J2SDK_VERSION} &&
chown -v -R root:root /opt/jdk/${J2SDK_VERSION} &&
ln -sf xawt/libmawt.so  /opt/jdk/${J2SDK_VERSION}/jre/lib/i386/ &&
cd ../../../.. &&

echo "export JAVA_HOME=/opt/jdk/${J2SDK_VERSION}" > /etc/profile.d/jdk.sh &&
echo "export PATH=\$PATH:\$JAVA_HOME/bin" >> /etc/profile.d/jdk.sh &&

ln -v -sf /opt/jdk/${J2SDK_VERSION}/jre/plugin/i386/ns7/libjavaplugin_oji.so \
    /usr/lib/firefox-*/plugins &&

rm -rf jdk-${J2SDK_BVERSION} jdk-${J2SDK_VERSION}-src
