#!/bin/bash

_VERSION=5.3.3
tar -xf src/php-${_VERSION}.tar.xz &&
cd php-${_VERSION} &&
patch -Np1 -i ../src/php-${_VERSION}-configure-1.patch &&
./configure --prefix=/usr \
            --sysconfdir=/etc \
            --with-apxs2 \
            --with-config-file-path=/etc \
            --with-zlib \
            --enable-bcmath \
            --with-bz2 \
            --enable-calendar \
            --enable-dba=shared \
            --with-gdbm \
            --with-gmp \
            --enable-ftp \
            --with-gettext \
            --enable-mbstring \
            --with-readline \
            --with-mysql=/usr \
             -with-pdo-odbc=unixODBC &&
make &&
make install &&
install -v -m644 php.ini-production /etc/php.ini &&

install -v -m755 -d /usr/share/doc/php-${_VERSION} &&
install -v -m644 CODING_STANDARDS EXTENSIONS INSTALL NEWS \
                 README* TODO* UPGRADING php.gif \
    /usr/share/doc/php-${_VERSION} &&
ln -v -sf /usr/lib/php/doc/Archive_Tar/docs/Archive_Tar.txt \
    /usr/share/doc/php-${_VERSION} &&
ln -v -sf /usr/lib/php/doc/Structures_Graph/docs \
    /usr/share/doc/php-${_VERSION} &&
cd .. &&
rm -rf php-${_VERSION}
