#!/bin/bash

HTTPD_VERSION=2.2.17
grep apache /etc/group || groupadd -g 25 apache
grep apache /etc/passwd || useradd -c "Apache Server" -d /dev/null -g apache \
        -s /bin/false -u 25 apache
tar -xf src/httpd-${HTTPD_VERSION}.tar.xz &&
cd httpd-${HTTPD_VERSION} &&
patch -Np1 -i ../src/httpd-${HTTPD_VERSION}-config-1.patch &&
autoconf &&
./configure --enable-layout=FHS --enable-mods-shared=all \
  --datadir=/srv/httpd/www \
  --enable-so \
  --enable-ssl --with-pcre --with-z \
  --with-dbm=db4 --with-berkeley-db \
  --with-mysql &&
make &&
make install &&
chown -v root:root /usr/lib/apache/httpd.exp \
    /usr/sbin/{apxs,apachectl,dbmmanage,envvars{,-std}} \
    /usr/share/man/man1/{dbmmanage,ht{dbm,digest,passwd}}.1 \
    /usr/share/man/man8/{ab,apachectl,apxs,htcacheclean,httpd}.8 \
    /usr/share/man/man8/{logresolve,rotatelogs,suexec}.8 &&
chown -v -R apache:apache /srv/httpd/www &&
sed -i -e "s/User daemon/User apache/" \
       -e "s/Group daemon/Group apache/" \
    /etc/apache/httpd.conf &&
cd .. &&
make -C /usr/src/blfs-bootscripts install-apache &&
rm -rf httpd-${HTTPD_VERSION}
