#!/bin/bash

OPENSSH_VERSION=5.6p1
grep sshd /etc/group || groupadd -g 50 sshd
grep sshd /etc/passwd || useradd -c 'sshd PrivSep' -d /var/lib/sshd -g sshd -s /bin/false -u 50 sshd

tar -xf src/openssh-${OPENSSH_VERSION}.tar.xz &&
cd openssh-${OPENSSH_VERSION} &&
install -v -m700 -d /var/lib/sshd &&
chown -v root:sys /var/lib/sshd &&
./configure --prefix=/usr --sysconfdir=/etc/ssh --datadir=/usr/share/sshd \
  --libexecdir=/usr/lib/openssh --with-md5-passwords \
  --with-privsep-path=/var/lib/sshd \
   -with-xauth=/usr/bin/xauth &&
make &&
make install &&
install -v -m755 -d /usr/share/doc/openssh-${OPENSSH_VERSION} &&
install -v -m644 INSTALL LICENCE OVERVIEW README* WARNING.RNG /usr/share/doc/openssh-${OPENSSH_VERSION} && 
echo "PermitRootLogin no" >> /etc/ssh/sshd_config &&
cd .. &&
make -C /usr/src/blfs-bootscripts install-sshd &&
rm -rf openssh-${OPENSSH_VERSION}
