#!/bin/bash

SAMBA_VERSION=3.5.6
tar -xf src/samba-${SAMBA_VERSION}.tar.xz &&
cd samba-${SAMBA_VERSION} &&
cd source3 &&
./configure \
    --prefix=/usr \
    --sysconfdir=/etc \
    --localstatedir=/var \
    --with-piddir=/var/run \
    --with-pammodulesdir=/lib/security \
    --with-fhs \
    --with-automount \
    --with-cifsumount \
    --enable-nss-wrapper \
    --with-pthreads &&
#    --with-smbmount &&
make -j6 &&
make install &&

install -v -m755 nsswitch/libnss_win{s,bind}.so /lib &&
ln -v -sf libnss_winbind.so /lib/libnss_winbind.so.2 &&
ln -v -sf libnss_wins.so /lib/libnss_wins.so.2 &&

install -v -m644 ../examples/smb.conf.default /etc/samba &&

install -v -m755 -d /usr/share/doc/samba-${SAMBA_VERSION} &&
install -v -m644 ../docs/*.pdf /usr/share/doc/samba-${SAMBA_VERSION} &&
ln -v -s ../../samba/swat  /usr/share/doc/samba-${SAMBA_VERSION} &&

ln -v -sf /usr/bin/smbspool /usr/lib/cups/backend/smb &&
chmod -v 4755 /usr/sbin/{,u}mount.cifs &&
make -C /usr/src/blfs-bootscripts install-samba &&
cd ../.. &&
rm -rf samba-${SAMBA_VERSION}
