#!/bin/bash

MYSQL_VERSION=5.1.52
grep mysql /etc/group || groupadd -g 40 mysql
grep mysql /etc/passwd || useradd -c "MySQL Server" -d /dev/null -g mysql -s /bin/false -u 40 mysql

pwd
tar -xf src/mysql-${MYSQL_VERSION}.tar.xz &&
cd mysql-${MYSQL_VERSION} &&
patch -Np1 -i ../src/mysql-${MYSQL_VERSION}-makefile-1.patch &&
#autoreconf &&
CFLAGS="-O3 -fPIC -DPIC" \
CXX=gcc \
CXXFLAGS="-O3 -felide-constructors -fno-exceptions -fno-rtti -fPIC -DPIC" \
./configure --prefix=/usr \
    --sysconfdir=/etc \
    --libexecdir=/usr/sbin \
    --localstatedir=/srv/mysql \
    --enable-thread-safe-client \
    --enable-assembler \
    --enable-local-infile \
    --with-unix-socket-path=/var/run/mysql/mysql.sock \
    --without-debug \
    --with-plugins=innobase,myisam \
    --with-extra-charsets=all \
    --with-ssl=/usr \
    --with-embedded-server &&
#rm libtool &&
#cp /usr/bin/libtool . &&
make -j6 &&
make benchdir_root=/tmp/mysql-bench install &&
rm -rf /tmp/mysql &&
cd .. &&
rm -rf mysql-${MYSQL_VERSION} &&
cd /usr/lib &&
ln -v -sf mysql/libmysqlclient{,_r}.so* . &&
install -v -m644 /usr/share/mysql/my-medium.cnf /etc/my.cnf
