#!/bin/bash

_VERSION=2.4.21
_VERSION2=2.4.21
tar -xf src/openldap-${_VERSION}.tar.bz2 &&
cd openldap-${_VERSION2} &&
./configure --prefix=/usr \
            --libexecdir=/usr/sbin \
            --sysconfdir=/etc \
            --localstatedir=/srv/ldap \
            --disable-debug \
            --enable-dynamic \
            --enable-crypt \
            --enable-modules \
            --enable-rlookups \
            --enable-backends \
            --enable-overlays \
            --disable-sql \
            --enable-slapd=no \
            --disable-bdb --disable-hdb --with-ldbm-api=gdbm &&
make depend &&
make &&
make install &&
for LINK in lber ldap ldap_r; do
    chmod -v 0755 /usr/lib/$(readlink /usr/lib/lib${LINK}.so)
done &&
install -v -m755 -d /usr/share/doc/openldap-${_VERSION2}/{drafts,guide,rfc} &&
install -v -m644 doc/drafts/* /usr/share/doc/openldap-${_VERSION2}/drafts &&
install -v -m644 doc/rfc/*    /usr/share/doc/openldap-${_VERSION2}/rfc &&
cp -v -R doc/guide/*          /usr/share/doc/openldap-${_VERSION2}/guide &&
cd .. &&
rm -rf openldap-${_VERSION2}
