#!/bin/bash

_VERSION=2.5.63
tar -xf src/soprano-${_VERSION}.tar.xz &&
cd soprano-${_VERSION} &&
mkdir build && cd build &&
cmake -DCMAKE_INSTALL_PREFIX=/usr .. &&
make &&
make install &&
install -m755 -d /srv/soprano &&
cat > /etc/sysconfig/soprano <<EOF &&
# Begin /etc/sysconfig/soprano

SOPRANO_STORAGE="/srv/soprano"
SOPRANO_BACKEND="virtuosobackend"        # virtuoso, sesame2, redland
SOPRANO_OPTIONS="--with-index"           # using CLucene index

# End /etc/sysconfig/soprano
EOF
cd .. &&
make -C /usr/src/blfs-bootscripts install-soprano &&
rm -rf soprano-${_VERSION}
