#!/bin/bash -e

for package in $(cat src/driver.wget)
do
  packagedir=$(echo $package | sed 's/.tar.xz//') &&
  tar -xf src/driver/$package &&
  cd $packagedir &&
  ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --localstatedir=/var --libdir=/usr/lib \
    --with-xorg-module-dir=/usr/lib/X11/modules &&
  make -j6 &&
  make install &&
  cd .. &&
  rm -rf $packagedir || exit 1
done
if [ "$?" == "1" ]; then
  exit 1
fi
