#!/bin/bash -e

for package in $(cat src/font.wget)
do
  packagedir=$(echo $package | sed 's/.tar.xz//') &&
  tar -xf src/font/$package &&
  cd $packagedir &&
  ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --localstatedir=/var --libdir=/usr/lib &&
  make -j6 &&
  make install &&
  cd .. &&
  rm -rf $packagedir || exit 1
done &&
if [ "$?" == "1" ]; then
  exit 1
fi
install -v -d -m755 /usr/share/fonts &&
ln -svnf /usr/share/fonts/X11/OTF /usr/share/fonts/X11-OTF &&
ln -svnf /usr/share/fonts/X11/TTF /usr/share/fonts/X11-TTF
