#!/bin/bash -e

for package in $(cat src/lib.wget)
do
  packagedir=$(echo $package | sed 's/.tar.xz//') &&
  tar -xf src/lib/$package &&
  cd $packagedir &&
  ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --localstatedir=/var --libdir=/usr/lib --disable-static &&
  make -j6 &&
  make install &&
  ldconfig &&
  cd .. &&
  rm -rf $packagedir || exit 1
done
if [ "$?" == "1" ]; then
  exit 1
fi
