#!/bin/bash -e

for package in $(cat src/util.wget)
do
  packagedir=$(echo $package | sed 's/.tar.xz//') &&
  tar -xf src/util/$package &&
  cd $packagedir &&
  ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --localstatedir=/var --libdir=/usr/lib &&
  make &&
  make install &&
  cd .. &&
  rm -rf $packagedir || exit 1
done
if [ "$?" == "1" ]; then
  exit 1
fi
