#!/bin/bash

_VERSION=2.2.4
tar -xf src/gnucash-${_VERSION}.tar.bz2 &&
cd gnucash-${_VERSION} &&
sed -i 's|xml::${sysconfdir}|xml::/etc/gnome/|' configure &&
./configure \
    --prefix=/usr \
    --sysconfdir=/etc \
    --libexecdir=/usr/lib \
    --with-gconf-schema-file-dir=/etc/gnome/gconf/schemas &&
make &&
make install &&
mv -v /usr/share/gnucash/doc /usr/share/doc/gnucash-${_VERSION} &&
ln -v -s ../doc/gnucash-${_VERSION} /usr/share/gnucash/doc &&
for FILENAME in doc/{misc*,gnome*,generic*,build*}.txt \
                doc/{gtkrc*,TRANSLATION_HOWTO,README.translator.txt} \
                doc/README.{build-system,OFX,HBCI}
do
    install -v -m644 ${FILENAME} /usr/share/doc/gnucash-${_VERSION}
done &&
install -v -m755 -d /usr/share/doc/gnucash-${_VERSION}/api/engine &&
install -v -m644    src/doc/{TODO*,*.txt,*.html} \
                    /usr/share/doc/gnucash-${_VERSION}/api &&
install -v -m644    src/engine/*.txt \
                    /usr/share/doc/gnucash-${_VERSION}/api/engine &&

cd .. &&
rm -rf gnucash-${_VERSION}
