#!/bin/bash

OO_VERSION=3.2.1
OO_VERSION2=3
tar -xf src/OOo_${OO_VERSION}_src_core.tar.bz2 &&
tar -xf src/OOo_${OO_VERSION}_src_system.tar.bz2 &&
tar -xf src/OOo_${OO_VERSION}_src_binfilter.tar.bz2 &&
tar -xf src/OOo_${OO_VERSION}_src_testautomation.tar.bz2 &&
cd OOO320_m19 &&
sed -i '/^ARCH_FLAGS\*=/d' solenv/inc/unx{lngi{4,6},fbsdi}.mk &&
touch external/unowinreg/unowinreg.dll &&
cp ../src/seamonkey-1.1.14.source.tar.bz2 moz/download &&
sed -i  "s/seq 1 7/seq 1 9/" configure &&
sed -i "s/#elif (__GNUC__ == 4 && __GNUC_MINOR__ <= 4)/#elif (__GNUC__ == 4)/g" cppu/inc/uno/lbnames.h &&
./configure --prefix=/opt/openoffice/ \
                --disable-binfilter \
                --disable-fontooo \
                --disable-gnome-vfs \
                --disable-odk \
                --disable-qadevooo \
                --enable-cairo \
                --without-afms \
                --without-fonts \
                --without-ppds \
                --disable-pam \
                --with-system-stdlibs \
                --with-system-cairo \
                --with-system-expat \
                --with-system-zlib \
                --with-package-format=native \
                --with-vendor="BLFS" \
                --with-use-shell=bash \
              --disable-gconf \
              --disable-mozilla \
                &&

#                --with-system-freetype \
#                --with-system-libxml \
# --with-system-libxslt \
# --with-system-poppler \
# --with-system-openssl \
#                --with-system-boost \
#                --with-system-jpeg \
#                --with-system-python \
#                --with-system-db \
#                --with-build-version=BLFS \
#                --with-ant-home=/opt/ant \
#             -enable-libart \
umask 0022 &&
unset LANG LC_ALL &&
. LinuxX86-64Env.Set.sh &&
./bootstrap &&
make -j6 &&
#dmake -P6 &&

install -m755 -d /opt/openoffice/ &&
cp -rv  instsetoo_native/unxlngx6.pro/OpenOffice/native/install/en-US/linux-2.6-*/buildroot/opt/openoffice.org3 /opt/openoffice/ &&
cp -rv  instsetoo_native/unxlngx6.pro/OpenOffice/native/install/en-US/linux-2.6-*/buildroot/opt/openoffice.org /opt/openoffice/ &&
ln -sf basis3.2 /opt/openoffice/basis-link &&

for appl in sbase scalc sdraw simpress smath soffice spadmin swriter
do
    ln -v -sf /opt/openoffice/openoffice.org3/program/$appl /usr/bin/$appl
done &&

install -v -d /usr/share/icons/{hicolor,locolor} -m755 &&
cp -rv sysui/desktop/icons/hicolor/* /usr/share/icons/hicolor &&
cp -rv sysui/desktop/icons/locolor/* /usr/share/icons/locolor &&
cd .. &&
#rm -rf OOO320_m19 &&

install -v -d /usr/share/applications -m 755 &&
cd /opt/openoffice/share/xdg/ &&
for appl in *.desktop
do
    sed -i '/Exec/d' $appl
    echo "Exec=/usr/bin/s`echo $appl | sed 's/.desktop//'`" >> $appl
    sed -i '/Icon/d' $appl
    echo "Icon=`echo $appl | sed 's/.desktop//'`" >> $appl
done &&
sed -i 's@bin/sprinteradmin@bin/spadmin@' printeradmin.desktop &&
cp -v *.desktop /usr/share/applications &&
update-desktop-database &&

ln -sf /opt/openoffice/program/libnpsoplugin.so  /usr/lib/mozilla/plugins
