#!/bin/bash

_VERSION=3.1.11
tar -xf src/libmikmod-${_VERSION}.tar.bz2 &&
cd libmikmod-${_VERSION} &&
patch -Np1 -i ../src/libmikmod-${_VERSION}-a.diff &&
sed -i -e "s/VERSION=10/VERSION=11/" \
       -e "s/sys_asoundlib/alsa_asoundlib/" \
       -e "s/snd_cards/snd_card_load/g" \
       -e "s|sys/asoundlib.h|alsa/asoundlib.h|g" \
       -e "s/^LIBOBJS/#LIBOBJS/" \
    configure.in &&
autoconf &&
./configure --prefix=/usr &&
make &&
make install &&
chmod 755 /usr/lib/libmikmod.so.2.0.4 &&
install -v -m644 -D docs/mikmod.html \
    /usr/share/doc/libmikmod-${_VERSION}/mikmod.html &&
cd .. &&
rm -rf libmikmod-${_VERSION}
