#!/bin/bash

_VERSION=0.6.1
tar -xf src/ffmpeg-${_VERSION}.tar.bz2 &&
cd ffmpeg-${_VERSION} &&
./configure --prefix=/usr --enable-shared \
            --enable-pthreads --enable-gpl \
            --enable-swscale --enable-postproc \
            --enable-libfaad --enable-libmp3lame \
            --enable-libtheora --enable-libvorbis \
            --enable-libvpx --enable-libx264 \
            --enable-libxvid \
            --disable-ffplay \
            --disable-static  &&
texi2html --version >/dev/null 2>&1 || make doc/ff{mpeg,play,server}.1 &&
make install &&
install -v -m755 -d        /usr/share/doc/ffmpeg-${_VERSION} &&
install -v -m644 doc/*.txt /usr/share/doc/ffmpeg-${_VERSION} &&
texi2html --version >/dev/null 2>&1 || make install-man &&
cd .. &&
rm -rf ffmpeg-${_VERSION}
