#!/bin/bash

_VERSION=9.00
tar -xf src/ghostscript-${_VERSION}.tar.xz &&
cd ghostscript-${_VERSION} &&
patch -Np1 -i ../src/ghostscript-${_VERSION}-security_fixes-1.patch &&
patch -Np1 -i ../src/ghostscript-${_VERSION}-system_jasper-1.patch &&
rm -rf expat jasper lcms jpeg libpng tiff zlib &&
sed -i "s/CFLAGS='/&-fPIC /g" base/unix-dll.mak &&
./configure --prefix=/usr --enable-dynamic --with-drivers=ALL,x11 --with-system-libtiff --disable-compile-inits &&
sed -i  -e 's|SHARE_LCMS=0|SHARE_LCMS=1|' \
        -e 's|LCMSSRCDIR=lcms|LCMSSRCDIR=/usr|' \
        -e 's|=imdi|&\n\n# Use system expat library\n\nSHARE_EXPAT=1|' \
        -e 's|SHARE_FT=0|SHARE_FT=1|' Makefile &&
make &&
make install &&
make so &&
make soinstall docdir=/usr/share/doc/ghostscript-9.00 &&
install -v -m644 base/*.h /usr/include/ghostscript &&
ln -v -s ghostscript /usr/include/ps &&

tar -xjf ../src/ghostscript-fonts-std-8.11.tar.bz2 -C /usr/share/ghostscript --no-same-owner &&
tar -xjf ../src/gnu-gs-fonts-other-6.0.tar.bz2 -C /usr/share/ghostscript --no-same-owner &&
chown -v root:root /usr/share/ghostscript/fonts/* &&
cd .. &&
rm -rf ghostscipt-${_VERSION}
