#!/bin/bash

_VERSION=8.71
tar -xf src/ghostscript-${_VERSION}.tar.bz2 &&
cd ghostscript-${_VERSION} &&
rm -rf jasper &&
patch -Np1 -i ../src/ghostscript-${_VERSION}-system_jasper-1.patch &&
rm -rf jpeg &&
rm -rf libpng &&
sed -i "s/CFLAGS='/&-fPIC /g" base/unix-dll.mak &&
./configure --prefix=/usr --enable-dynamic &&
make CFLAGS_STANDARD="-fPIC -O2" &&
make install  docdir=/usr/share/doc/ghostscript-${_VERSION} &&
make CFLAGS_STANDARD="-fPIC -O2" so &&
make soinstall docdir=/usr/share/doc/ghostscript-${_VERSION} &&
install -v -m644 base/*.h /usr/include/ghostscript &&
ln -v -s ghostscript /usr/include/ps &&

tar -xjf ../src/ghostscript-fonts-std-8.11.tar.bz2 -C /usr/share/ghostscript --no-same-owner &&
tar -xjf ../src/gnu-gs-fonts-other-6.0.tar.bz2 -C /usr/share/ghostscript --no-same-owner &&
chown -v root:root /usr/share/ghostscript/fonts/* &&
cd .. &&
rm -rf ghostscipt-${_VERSION}
