#!/bin/bash

OPENSP_VERSION=1.5.2
tar -xf src/OpenSP-${OPENSP_VERSION}.tar.bz2 &&
cd OpenSP-${OPENSP_VERSION} &&
sed -i 's:32,:253,:' lib/Syntax.cxx &&
sed -i 's:LITLEN          240 :LITLEN          8092:' \
    unicode/{gensyntax.pl,unicode.syn} &&
./configure --prefix=/usr --disable-static --disable-doc-build \
    --enable-default-catalog=/etc/sgml/catalog --enable-http \
    --enable-default-search-path=/usr/share/sgml &&
make pkgdatadir=/usr/share/sgml/OpenSP-${OPENSP_VERSION} &&
make pkgdatadir=/usr/share/sgml/OpenSP-${OPENSP_VERSION} install &&
ln -v -sf onsgmls /usr/bin/nsgmls &&
ln -v -sf osgmlnorm /usr/bin/sgmlnorm &&
ln -v -sf ospam /usr/bin/spam &&
ln -v -sf ospcat /usr/bin/spcat &&
ln -v -sf ospent /usr/bin/spent &&
ln -v -sf osx /usr/bin/sx &&
ln -v -sf osx /usr/bin/sgml2xml &&
ln -v -sf libosp.so /usr/lib/libsp.so &&
cd .. &&
rm -rf OpenSP-${OPENSP_VERSION}
