#!/bin/bash

_VERSION=1.75.2
tar -xf src/docbook-xsl-${_VERSION}.tar.bz2 &&
cd docbook-xsl-${_VERSION} &&

install -v -m755 -d /usr/share/xml/docbook/xsl-stylesheets-${_VERSION} &&

cp -v -R VERSION common eclipse extensions fo highlighting html  \
         htmlhelp images javahelp lib manpages params profiling  \
         roundtrip slides template tools website xhtml xhtml-1_1 \
    /usr/share/xml/docbook/xsl-stylesheets-${_VERSION} &&

install -v -m644 -D README \
                    /usr/share/doc/docbook-xsl-${_VERSION}/README.XSL &&
install -v -m755    RELEASE-NOTES* NEWS* \
                    /usr/share/doc/docbook-xsl-${_VERSION} &&


if [ ! -d /etc/xml ]; then install -v -m755 -d /etc/xml; fi &&
if [ ! -f /etc/xml/catalog ]; then
    xmlcatalog --noout --create /etc/xml/catalog
fi &&

xmlcatalog --noout --add "rewriteSystem" \
           "http://docbook.sourceforge.net/release/xsl/${_VERSION}" \
           "/usr/share/xml/docbook/xsl-stylesheets-${_VERSION}" \
    /etc/xml/catalog &&

xmlcatalog --noout --add "rewriteURI" \
           "http://docbook.sourceforge.net/release/xsl/${_VERSION}" \
           "/usr/share/xml/docbook/xsl-stylesheets-${_VERSION}" \
    /etc/xml/catalog &&

xmlcatalog --noout --add "rewriteSystem" \
           "http://docbook.sourceforge.net/release/xsl/current" \
           "/usr/share/xml/docbook/xsl-stylesheets-${_VERSION}" \
    /etc/xml/catalog &&

xmlcatalog --noout --add "rewriteURI" \
           "http://docbook.sourceforge.net/release/xsl/current" \
           "/usr/share/xml/docbook/xsl-stylesheets-${_VERSION}}" \
    /etc/xml/catalog

cd .. &&
rm -rf docbook-xsl-${_VERSION}
